%define anolis_release 3

Name:           libmaxminddb
Summary:        C library for the MaxMind DB file format
Version:        1.6.0
Release:        %{anolis_release}%{?dist}
URL:            https://maxmind.github.io/libmaxminddb
Source:         https://github.com/maxmind/libmaxminddb/releases/download/%{version}/%{name}-%{version}.tar.gz

License:        ASL 2.0 and BSD

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  perl-interpreter
BuildRequires:  perl(FindBin)
BuildRequires:  make

%description
The package contains libmaxminddb library.

%package devel
Summary:        Development header files for libmaxminddb
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
The package contains development header files for the libmaxminddb library
and the mmdblookup utility which allows IP address lookup in a MaxMind DB file.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{?epoch:%{epoch}:}%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup
sed -i -e '/AM_CFLAGS=/d' common.mk
sed -i -e '/CFLAGS=/d' configure.ac

%build
autoreconf -vfi
%configure --disable-static
%make_build

%check
LD_PRELOAD=%{buildroot}%{_libdir}/libmaxminddb.so make check

%install
%make_install
rm -v %{buildroot}%{_libdir}/*.la

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/libmaxminddb.so.0*
%{_bindir}/mmdblookup
%{abidir}/libmaxminddb*.dump
%{abidir}/mmdblookup-option.list
%{_mandir}/man1/*.1*

%files devel
%license NOTICE
%{_includedir}/maxminddb.h
%{_includedir}/maxminddb_config*.h
%{_libdir}/libmaxminddb.so
%{_libdir}/pkgconfig/libmaxminddb.pc
%{_mandir}/man3/*.3*

%files doc
%doc Changes.md

%changelog
* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.0-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.0-2
- add doc package

* Wed Mar 09 2022 liuzhilin <liuzhilin@uniontech.com> - 1.6.0-1
- Init for Anolis OS 23

